- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
_WP1ContentParsingState Struct Reference

`#include <WP1ContentListener.h>`

## Public Member Functions
| _WP1ContentParsingState ()
| ~_WP1ContentParsingState ()

## Public Attributes
librevenge::RVNGString | m_textBuffer
int | m_numDeferredTabs
int | m_footNoteNumber
int | m_endNoteNumber

## Private Member Functions
| _WP1ContentParsingState (const _WP1ContentParsingState &)
_WP1ContentParsingState & | operator= (const _WP1ContentParsingState &)

## Constructor & Destructor Documentation

_WP1ContentParsingState::_WP1ContentParsingState | ( |  | ) |

_WP1ContentParsingState::~_WP1ContentParsingState | ( |  | ) |

_WP1ContentParsingState::_WP1ContentParsingState | ( | const _WP1ContentParsingState & |  | ) |
| private

## Member Function Documentation

_WP1ContentParsingState& _WP1ContentParsingState::operator= | ( | const _WP1ContentParsingState & |  | ) |
| private

## Member Data Documentation

int _WP1ContentParsingState::m_endNoteNumber

Referenced by WP1ContentListener::insertNote().

int _WP1ContentParsingState::m_footNoteNumber

Referenced by WP1ContentListener::insertNote().

int _WP1ContentParsingState::m_numDeferredTabs

Referenced by WP1ContentListener::centerOn(), WP1ContentListener::flushRightOn(), WP1ContentListener::insertCharacter(), WP1ContentListener::insertEOL(), WP1ContentListener::insertExtendedCharacter(), WP1ContentListener::insertTab(), WP1ContentListener::leftIndent(), WP1ContentListener::leftMarginRelease(), and WP1ContentListener::leftRightIndent().

librevenge::RVNGString _WP1ContentParsingState::m_textBuffer

Referenced by WP1ContentListener::_flushText(), WP1ContentListener::insertCharacter(), and WP1ContentListener::insertExtendedCharacter().

The documentation for this struct was generated from the following files:

- WP1ContentListener.h
- WP1ContentListener.cpp